Re: Python3.8 as default final status

2020-04-03 Thread Sergio Durigan Junior
On Saturday, March 28 2020, Scott Kitterman wrote: > On March 28, 2020 5:10:42 AM UTC, Sergio Durigan Junior > wrote: >>On Friday, March 27 2020, HÃ¥vard Flaget Aasen wrote: >> >>> On 27.03.2020 20:09, Sergio Durigan Junior wrote: On Friday, March 27 2020, Scott Kitterman wrote: >

Re: Build Python 2.7 version >= 2.7.15 on Debian 9

2020-04-03 Thread Jeremy Stanley
On 2020-04-03 23:21:25 +0300 (+0300), ellis.mag...@pp.inet.fi wrote: [...] > What is the correct way to build a clean version of python2.7 on > Debian9 that will be compatible with already packaged python2.7 > modules? The Python modules with C extensions packaged in Debian are built against the

Build Python 2.7 version >= 2.7.15 on Debian 9

2020-04-03 Thread ellis.mag...@pp.inet.fi
Hi, I would need help to build & install Python 2.7 with version greater or equal to 2.7.15 on Debian 9. I succeeded in doing so from original Python 2.7.15 source but get failed dependancies when adding already packaged modules such as numpy, matplotlib and protobuf. My program fails on

Telepathy-gabble and python2-rm

2020-04-03 Thread Scott Kitterman
There was a telepathy-gabble upload this week that took out a bunch of python2 build-deps, but it looks like telepathy-gabble-tests retained many of them as depends: https://packages.debian.org/unstable/telepathy-gabble-tests In particular, this is the last package in Testing that depends on